Wildcard characters (?, *, ~) can be used as comparison criteria for functions when searching.
Wildcard character
Match
?
Any single character
*
Any number of characters
~ followed by ?, *, or ~
?, *, or ~ character
Note: The wildcard can only be used in comparison strings that use equals (=); it cannot be used in comparisons that use the other operators (>,<,!=,<=,>=).
Wildcard characters work in all the functions that have a criteria argument, as follows:
AVERAGEIF
AVERAGEIFS
COUNTIF
COUNTIFS
SUMIF
SUMIFS
MATCH
SEARCH
VLOOKUP
HLOOKUP
DAVERAGE
DGET
DMAX
DMIN
DPRODUCT
DSTDEV
DSTDEVP
DSUM
DVAR
DVARP
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 });
initSpread(spread);
};
function initSpread(spread) {
var spreadNS = GC.Spread.Sheets;
var sheet = spread.sheets[0];
spread.suspendPaint();
sheet.options.allowCellOverflow = true;
var array = [
["Tree", "Height", "Age", "Yield", "Profit", "Height"],
["=App?e", ">10", null, null, null, "<16"],
["=P*"],
["Tree", "Height", "Age", "Yield", "Profit"],
["Apple", 18, 20, 14, 105],
["Pear", 12, 12, 10, 96],
["Cherry", 13, 14, 9, 105],
["AppLe", 14, 15, 10, 75],
["Pear", 9, 8, 8, 76.8],
["Apple", 8, 9, 6, 45]
];
sheet.setArray(0, 0, array);
sheet.setColumnWidth(0, 100);
var table = sheet.tables.add("Table1", 0, 0, 3, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table2", 4, 0, 7, 5, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table3", 12, 0, 5, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
sheet.addSpan(12, 1, 1, 5);
sheet.setValue(12, 0, 'Formula Result');
sheet.setValue(12, 1, 'Formula with wildcard');
sheet.addSpan(13, 1, 1, 5);
sheet.setValue(13, 1, '=DCOUNT(A4:E10,"Age",A1:F3)');
sheet.setFormula(13, 0, 'DCOUNT(A4:E10,"Age",A1:F3)');
sheet.addSpan(14, 1, 1, 5);
sheet.setValue(14, 1, '=SEARCH("?t", B1)');
sheet.setFormula(14, 0, 'SEARCH("?t", B1)');
sheet.addSpan(15, 1, 1, 5);
sheet.setValue(15, 1, '=VLOOKUP("Ch*",A5:B10,2,0)');
sheet.setFormula(15, 0, 'VLOOKUP("Ch*",A5:B10,2,0)');
sheet.addSpan(17, 1, 1, 5);
sheet.setValue(17, 1, '=COUNTIF(A5:B11,"App?e")');
sheet.setFormula(17, 0, 'COUNTIF(A5:B11,"App?e")');
sheet.setValue(18, 1, '=SEARCH("=P~*",A3)');
sheet.setFormula(18, 0, 'SEARCH("=P~*",A3)');
spread.resumePaint();
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
border: 1px solid gray;
}

Wildcard characters (?, *, ~) can be used as comparison criteria for functions when searching.
Wildcard character
Match
?
Any single character
*
Any number of characters
~ followed by ?, *, or ~
?, *, or ~ character
Note: The wildcard can only be used in comparison strings that use equals (=); it cannot be used in comparisons that use the other operators (>,<,!=,<=,>=).
Wildcard characters work in all the functions that have a criteria argument, as follows:
AVERAGEIF
AVERAGEIFS
COUNTIF
COUNTIFS
SUMIF
SUMIFS
MATCH
SEARCH
VLOOKUP
HLOOKUP
DAVERAGE
DGET
DMAX
DMIN
DPRODUCT
DSTDEV
DSTDEVP
DSUM
DVAR
DVARP
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: '100%',
height: '100%',
overflow: 'hidden',
float: 'left'
};
constructor() {
}
initSpread($event: any) {
this.spread = $event.spread;
let spread = this.spread;
let spreadNS = GC.Spread.Sheets;
let sheet = spread.sheets[0];
spread.suspendPaint();
sheet.options.allowCellOverflow = true;
let array = [
["Tree", "Height", "Age", "Yield", "Profit", "Height"],
["=App?e", ">10", null, null, null, "<16"],
["=P*"],
["Tree", "Height", "Age", "Yield", "Profit"],
["Apple", 18, 20, 14, 105],
["Pear", 12, 12, 10, 96],
["Cherry", 13, 14, 9, 105],
["AppLe", 14, 15, 10, 75],
["Pear", 9, 8, 8, 76.8],
["Apple", 8, 9, 6, 45]
];
sheet.setArray(0, 0, array);
sheet.setColumnWidth(0, 100);
let table = sheet.tables.add("Table1", 0, 0, 3, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table2", 4, 0, 7, 5, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table3", 12, 0, 5, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
sheet.addSpan(12, 1, 1, 5);
sheet.setValue(12, 0, 'Formula Result');
sheet.setValue(12, 1, 'Formula with wildcard');
sheet.addSpan(13, 1, 1, 5);
sheet.setValue(13, 1, '=DCOUNT(A4:E10,"Age",A1:F3)');
sheet.setFormula(13, 0, 'DCOUNT(A4:E10,"Age",A1:F3)');
sheet.addSpan(14, 1, 1, 5);
sheet.setValue(14, 1, '=SEARCH("?t", B1)');
sheet.setFormula(14, 0, 'SEARCH("?t", B1)');
sheet.addSpan(15, 1, 1, 5);
sheet.setValue(15, 1, '=VLOOKUP("Ch*",A5:B10,2,0)');
sheet.setFormula(15, 0, 'VLOOKUP("Ch*",A5:B10,2,0)');
sheet.addSpan(17, 1, 1, 5);
sheet.setValue(17, 1, '=COUNTIF(A5:B11,"App?e")');
sheet.setFormula(17, 0, 'COUNTIF(A5:B11,"App?e")');
sheet.setValue(18, 1, '=SEARCH("=P~*",A3)');
sheet.setFormula(18, 0, 'SEARCH("=P~*",A3)');
spread.resumePaint();
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule {}
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/en/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/en/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/en/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/en/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);

Wildcard characters (?, *, ~) can be used as comparison criteria for functions when searching.
Wildcard character
Match
?
Any single character
*
Any number of characters
~ followed by ?, *, or ~
?, *, or ~ character
Note: The wildcard can only be used in comparison strings that use equals (=); it cannot be used in comparisons that use the other operators (>,<,!=,<=,>=).
Wildcard characters work in all the functions that have a criteria argument, as follows:
AVERAGEIF
AVERAGEIFS
COUNTIF
COUNTIFS
SUMIF
SUMIFS
MATCH
SEARCH
VLOOKUP
HLOOKUP
DAVERAGE
DGET
DMAX
DMIN
DPRODUCT
DSTDEV
DSTDEVP
DSUM
DVAR
DVARP
import * as React from 'react';
import { createRoot } from 'react-dom/client';
import './styles.css';
import { AppFunc } from './app-func';
import { App } from './app-class';
// 1. Functional Component sample
createRoot(document.getElementById('app')).render(<AppFunc />);
// 2. Class Component sample
// createRoot(document.getElementById('app')).render(<App />);
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const useState = React.useState;
export function AppFunc() {
const [spread, setSpread] = useState(null);
const initSpread = (spread) => {
setSpread(spread)
var spreadNS = GC.Spread.Sheets;
var sheet = spread.sheets[0];
spread.suspendPaint();
sheet.options.allowCellOverflow = true;
var array = [
["Tree", "Height", "Age", "Yield", "Profit", "Height"],
["=App?e", ">10", null, null, null, "<16"],
["=P*"],
["Tree", "Height", "Age", "Yield", "Profit"],
["Apple", 18, 20, 14, 105],
["Pear", 12, 12, 10, 96],
["Cherry", 13, 14, 9, 105],
["AppLe", 14, 15, 10, 75],
["Pear", 9, 8, 8, 76.8],
["Apple", 8, 9, 6, 45]
];
sheet.setArray(0, 0, array);
sheet.setColumnWidth(0, 100);
var table = sheet.tables.add("Table1", 0, 0, 3, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table2", 4, 0, 7, 5, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table3", 12, 0, 5, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
sheet.addSpan(12, 1, 1, 5);
sheet.setValue(12, 0, 'Formula Result');
sheet.setValue(12, 1, 'Formula with wildcard');
sheet.addSpan(13, 1, 1, 5);
sheet.setValue(13, 1, '=DCOUNT(A4:E10,"Age",A1:F3)');
sheet.setFormula(13, 0, 'DCOUNT(A4:E10,"Age",A1:F3)');
sheet.addSpan(14, 1, 1, 5);
sheet.setValue(14, 1, '=SEARCH("?t", B1)');
sheet.setFormula(14, 0, 'SEARCH("?t", B1)');
sheet.addSpan(15, 1, 1, 5);
sheet.setValue(15, 1, '=VLOOKUP("Ch*",A5:B10,2,0)');
sheet.setFormula(15, 0, 'VLOOKUP("Ch*",A5:B10,2,0)');
sheet.addSpan(17, 1, 1, 5);
sheet.setValue(17, 1, '=COUNTIF(A5:B11,"App?e")');
sheet.setFormula(17, 0, 'COUNTIF(A5:B11,"App?e")');
sheet.setValue(18, 1, '=SEARCH("=P~*",A3)');
sheet.setFormula(18, 0, 'SEARCH("=P~*",A3)');
spread.resumePaint();
}
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import { SpreadSheets, Worksheet } from '@mescius/spread-sheets-react';
import './styles.css';
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
}
render() {
return <div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread=>this.initSpread(spread)}>
<Worksheet>
</Worksheet>
</SpreadSheets>
</div>
</div>;
}
initSpread(spread) {
this.spread = spread;
var spreadNS = GC.Spread.Sheets;
var sheet = spread.sheets[0];
spread.suspendPaint();
sheet.options.allowCellOverflow = true;
var array = [
["Tree", "Height", "Age", "Yield", "Profit", "Height"],
["=App?e", ">10", null, null, null, "<16"],
["=P*"],
["Tree", "Height", "Age", "Yield", "Profit"],
["Apple", 18, 20, 14, 105],
["Pear", 12, 12, 10, 96],
["Cherry", 13, 14, 9, 105],
["AppLe", 14, 15, 10, 75],
["Pear", 9, 8, 8, 76.8],
["Apple", 8, 9, 6, 45]
];
sheet.setArray(0, 0, array);
sheet.setColumnWidth(0, 100);
var table = sheet.tables.add("Table1", 0, 0, 3, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table2", 4, 0, 7, 5, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table3", 12, 0, 5, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
sheet.addSpan(12, 1, 1, 5);
sheet.setValue(12, 0, 'Formula Result');
sheet.setValue(12, 1, 'Formula with wildcard');
sheet.addSpan(13, 1, 1, 5);
sheet.setValue(13, 1, '=DCOUNT(A4:E10,"Age",A1:F3)');
sheet.setFormula(13, 0, 'DCOUNT(A4:E10,"Age",A1:F3)');
sheet.addSpan(14, 1, 1, 5);
sheet.setValue(14, 1, '=SEARCH("?t", B1)');
sheet.setFormula(14, 0, 'SEARCH("?t", B1)');
sheet.addSpan(15, 1, 1, 5);
sheet.setValue(15, 1, '=VLOOKUP("Ch*",A5:B10,2,0)');
sheet.setFormula(15, 0, 'VLOOKUP("Ch*",A5:B10,2,0)');
sheet.addSpan(17, 1, 1, 5);
sheet.setValue(17, 1, '=COUNTIF(A5:B11,"App?e")');
sheet.setFormula(17, 0, 'COUNTIF(A5:B11,"App?e")');
sheet.setValue(18, 1, '=SEARCH("=P~*",A3)');
sheet.setFormula(18, 0, 'SEARCH("=P~*",A3)');
spread.resumePaint();
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/en/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/en/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/en/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
#switchAutoMergeMode {
margin: 10px 0px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/cjs/react.production.js',
'react-dom': 'npm:react-dom/cjs/react-dom.production.js',
'react-dom/client': 'npm:react-dom/cjs/react-dom-client.production.js',
'scheduler': 'npm:scheduler/cjs/scheduler.production.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

Wildcard characters (?, *, ~) can be used as comparison criteria for functions when searching.
Wildcard character
Match
?
Any single character
*
Any number of characters
~ followed by ?, *, or ~
?, *, or ~ character
Note: The wildcard can only be used in comparison strings that use equals (=); it cannot be used in comparisons that use the other operators (>,<,!=,<=,>=).
Wildcard characters work in all the functions that have a criteria argument, as follows:
AVERAGEIF
AVERAGEIFS
COUNTIF
COUNTIFS
SUMIF
SUMIFS
MATCH
SEARCH
VLOOKUP
HLOOKUP
DAVERAGE
DGET
DMAX
DMIN
DPRODUCT
DSTDEV
DSTDEVP
DSUM
DVAR
DVARP
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
<gc-worksheet>
</gc-worksheet>
<gc-worksheet>
</gc-worksheet>
</gc-spread-sheets>
</div>
</template>
<script setup>
import '@mescius/spread-sheets-vue';
import { ref } from "vue";
import GC from "@mescius/spread-sheets";
const spreadRef = ref(null);
let initSpread = function (spread) {
let spreadNS = GC.Spread.Sheets;
let sheet = spread.sheets[0];
spread.suspendPaint();
sheet.options.allowCellOverflow = true;
let array = [
["Tree", "Height", "Age", "Yield", "Profit", "Height"],
["=App?e", ">10", null, null, null, "<16"],
["=P*"],
["Tree", "Height", "Age", "Yield", "Profit"],
["Apple", 18, 20, 14, 105],
["Pear", 12, 12, 10, 96],
["Cherry", 13, 14, 9, 105],
["AppLe", 14, 15, 10, 75],
["Pear", 9, 8, 8, 76.8],
["Apple", 8, 9, 6, 45]
];
sheet.setArray(0, 0, array);
sheet.setColumnWidth(0, 100);
let table = sheet.tables.add("Table1", 0, 0, 3, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table2", 4, 0, 7, 5, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
table = sheet.tables.add("Table3", 12, 0, 5, 6, spreadNS.Tables.TableThemes.medium4);
table.rowFilter().filterButtonVisible(false);
sheet.addSpan(12, 1, 1, 5);
sheet.setValue(12, 0, 'Formula Result');
sheet.setValue(12, 1, 'Formula with wildcard');
sheet.addSpan(13, 1, 1, 5);
sheet.setValue(13, 1, '=DCOUNT(A4:E10,"Age",A1:F3)');
sheet.setFormula(13, 0, 'DCOUNT(A4:E10,"Age",A1:F3)');
sheet.addSpan(14, 1, 1, 5);
sheet.setValue(14, 1, '=SEARCH("?t", B1)');
sheet.setFormula(14, 0, 'SEARCH("?t", B1)');
sheet.addSpan(15, 1, 1, 5);
sheet.setValue(15, 1, '=VLOOKUP("Ch*",A5:B10,2,0)');
sheet.setFormula(15, 0, 'VLOOKUP("Ch*",A5:B10,2,0)');
sheet.addSpan(17, 1, 1, 5);
sheet.setValue(17, 1, '=COUNTIF(A5:B11,"App?e")');
sheet.setFormula(17, 0, 'COUNTIF(A5:B11,"App?e")');
sheet.setValue(18, 1, '=SEARCH("=P~*",A3)');
sheet.setFormula(18, 0, 'SEARCH("=P~*",A3)');
spread.resumePaint();
}
</script>
<style scoped>
#app {
height: 100%;
}
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: 100%;
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 10px;
}
#switchAutoMergeMode {
margin: 10px 0px;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!DOCTYPE html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<title>SpreadJS VUE</title>
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/en/vue3/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/en/vue3/node_modules/systemjs/dist/system.src.js"></script>
<script src="./systemjs.config.js"></script>
<script src="./compiler.js" type="module"></script>
<script>
var System = SystemJS;
System.import("./src/app.js");
System.import('$DEMOROOT$/en/lib/vue3/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
SystemJS.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
packageConfigPaths: [
'./node_modules/*/package.json',
"./node_modules/@mescius/*/package.json",
"./node_modules/@babel/*/package.json",
"./node_modules/@vue/*/package.json"
],
map: {
'vue': "npm:vue/dist/vue.esm-browser.js",
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
"systemjs-babel-build": "npm:systemjs-plugin-babel/systemjs-babel-browser.js",
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-resources-en': 'npm:@mescius/spread-sheets-resources-en/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js'
},
meta: {
'*.css': { loader: 'systemjs-plugin-css' },
'*.vue': { loader: "../plugin-vue/index.js" }
}
});
})(this);